INSTALLBOOT(8)

NAME
installboot - install a bootstrap on an FFS disk

SYNOPSIS
installboot [-n] [-v] boot bootxx rawdev

DESCRIPTION
installboot is used to install a "first-stage" boot program into the boot area of an FFS disk partition, and initialize the table of block numbers the bootxx program uses to load the second-stage boot program.

The options are as follows:

-n  Do not actually write anything on the disk.

-v  Be verbose, printing out the block numbers that bootxx will use to load boot.

The arguments are:

boot
    the name of the second-stage boot program in the file system where the first-stage boot program is to be installed.

bootxx
    the name of the prototype file for the first stage boot program.

rawdev
    the name of the raw device in which the first-stage boot program is to be installed. This should correspond to the block device on which the file system containing boot is mounted.

EXAMPLES

    cp /usr/mdec/bootsd /boot
    /usr/mdec/installboot /boot /usr/mdec/bootxx /dev/rsd0a

SEE ALSO
disklabel(8), init(8)